summaryrefslogtreecommitdiff
path: root/libre/linux-libre-tools
diff options
context:
space:
mode:
authorgrizzlyuser <grizzlyuser@protonmail.com>2020-04-07 14:15:03 +0300
committerAndreas Grapentin <andreas@grapentin.org>2020-04-09 11:34:09 +0200
commit478427f6e989a64c91cc50da6c2bd2ff4a8a6de4 (patch)
tree78d323212070fa0db4ae7321a128e7fbb68a58c0 /libre/linux-libre-tools
parente42764949ae2733c4a2476f9492344f140c5b1fb (diff)
libre/linux-libre-tools 5.6.1: Sync with Arch Linux, refresh patch
Removed part of patch has been applied upstream: https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/tools/perf/builtin-diff.c?h=v5.6&id=98e93245113d0f5c279ef77f4a9e7d097323ad71 Signed-off-by: Andreas Grapentin <andreas@grapentin.org>
Diffstat (limited to 'libre/linux-libre-tools')
-rw-r--r--libre/linux-libre-tools/PKGBUILD46
-rw-r--r--libre/linux-libre-tools/perf-fix-types.patch13
2 files changed, 21 insertions, 38 deletions
diff --git a/libre/linux-libre-tools/PKGBUILD b/libre/linux-libre-tools/PKGBUILD
index 6e9a080df..a54342e1b 100644
--- a/libre/linux-libre-tools/PKGBUILD
+++ b/libre/linux-libre-tools/PKGBUILD
@@ -24,7 +24,7 @@ case "$CARCH" in
armv7h) pkgname+=('gpio-utils' 'iio-utils') ;;
esac
-pkgver=5.4.1
+pkgver=5.6.1
pkgver+=_gnu
pkgrel=1
license=('GPL2')
@@ -54,41 +54,37 @@ source=("https://linux-libre.fsfla.org/pub/linux-libre/releases/${pkgver//_/-}/l
'cpupower.service'
'usbipd.service'
'perf-fix-types.patch')
-sha256sums=('7d2ce65f26e9c9234091167b7558cc9a3de545236a1cec3a4e77d171d440f35c'
+sha256sums=('c5f208af2d199e650ce609eb7ac4ece2a6909af679cc0a1de4dd8438f2ee05d8'
'SKIP'
-# '2129f0a264ecb03a2a8ccd6a3e2270dec0b4c11c66d09262eb0f1bbf18fcaefc'
-# 'SKIP'
'4fa509949d6863d001075fa3e8671eff2599c046d20c98bb4a70778595cd1c3f'
'd2e8e5e8b22c6089a91f573aa1c59e442a1f3b67a2c9f047abe3b57d3d6558cc'
'fa2560630576464739ede14c9292249f4007f36a684bc378add174fc88394550'
'2e187734d8aec58a3046d79883510d779aa93fb3ab20bd3132c1a607ebe5498f'
- 'aa08545851784262d1049da4df6f63bdb366b0ac21e2dbecc7fd31382bb4f4dc')
+ 'ca6b56540e2f8d6931c86978910d47e01bc28516c8b9ce616ecf6de2ba3daf4e')
validpgpkeys=('474402C8C582DAFBE389C427BCB7CF877E7D47A7') # Alexandre Oliva
prepare() {
cd linux-${pkgver%_*}
# apply patch from the source array (should be a pacman feature)
- local filename
- for filename in "${source[@]}"; do
- filename="${filename##*/}"
- if [[ "$filename" =~ \.patch$ ]]; then
- msg2 "Applying patch $filename"
- patch -p1 -N -i "$srcdir/$filename"
- elif [[ "$filename" =~ ^patch- ]]; then
- msg2 "Applying linux $filename"
- patch -p1 -N -i "$srcdir/${filename%.*}"
- fi
+ local src
+ for src in "${source[@]}"; do
+ src="${src%%::*}"
+ src="${src##*/}"
+ src="${src%.xz}"
+ [[ $src = *.patch || $src = patch-* ]] || continue
+ echo ":: Applying patch $src"
+ patch -p1 -N -i "$srcdir/$src"
done
}
build() {
- msg2 'libtraceevent'
+ echo ':: libtraceevent'
pushd linux-${pkgver%_*}/tools/lib/traceevent
make
popd
- msg2 'perf'
+ echo ':: perf'
pushd linux-${pkgver%_*}/tools/perf
make -f Makefile.perf \
prefix=/usr \
@@ -101,19 +97,19 @@ build() {
DESTDIR="$pkgdir"
popd
- msg2 'cpupower'
+ echo ':: cpupower'
pushd linux-${pkgver%_*}/tools/power/cpupower
make VERSION=$pkgver-$pkgrel
popd
if [[ "$CARCH" == x86_64 ]] || [[ "$CARCH" == i686 ]]; then
- msg2 'x86_energy_perf_policy'
+ echo ':: x86_energy_perf_policy'
pushd linux-${pkgver%_*}/tools/power/x86/x86_energy_perf_policy
make
popd
fi
- msg2 'usbip'
+ echo ':: usbip'
pushd linux-${pkgver%_*}/tools/usb/usbip
# Fix gcc compilation
sed -i 's,-Wall -Werror -Wextra,,' configure.ac
@@ -122,30 +118,30 @@ fi
make
popd
- msg2 'tmon'
+ echo ':: tmon'
pushd linux-${pkgver%_*}/tools/thermal/tmon
make
popd
- msg2 'cgroup_event_listener'
+ echo ':: cgroup_event_listener'
pushd linux-${pkgver%_*}/tools/cgroup
make
popd
if [[ "$CARCH" == x86_64 ]] || [[ "$CARCH" == i686 ]]; then
- msg2 'turbostat'
+ echo ':: turbostat'
pushd linux-${pkgver%_*}/tools/power/x86/turbostat
make
popd
fi
if [[ "$CARCH" == armv7h ]]; then
- msg2 'gpio'
+ echo ':: gpio'
pushd linux-${pkgver%_*}/tools/gpio
make -j1
popd
- msg2 'iio'
+ echo ':: iio'
pushd linux-${pkgver%_*}/tools/iio
make -j1
popd
diff --git a/libre/linux-libre-tools/perf-fix-types.patch b/libre/linux-libre-tools/perf-fix-types.patch
index 0b81586b0..cb6688acf 100644
--- a/libre/linux-libre-tools/perf-fix-types.patch
+++ b/libre/linux-libre-tools/perf-fix-types.patch
@@ -1,16 +1,3 @@
---- linux-5.4.1/tools/perf/builtin-diff.c.orig 2019-11-29 04:10:32.000000000 -0500
-+++ linux-5.4.1/tools/perf/builtin-diff.c 2020-01-19 15:54:20.558514973 -0500
-@@ -575,8 +575,8 @@
- if (!pairs_left && !pairs_right)
- return 0;
-
-- l = labs(left->diff.cycles);
-- r = labs(right->diff.cycles);
-+ l = llabs(left->diff.cycles);
-+ r = llabs(right->diff.cycles);
- return r - l;
- }
-
--- linux-5.4.1/tools/perf/util/session.c.orig 2019-11-29 04:10:32.000000000 -0500
+++ linux-5.4.1/tools/perf/util/session.c 2020-01-19 16:13:39.628532016 -0500
@@ -88,7 +88,7 @@